<template>
<b-modal :id="'code_modal_' + mode + '_' + index" hide-header hide-footer title-class="h5" modal-class="edit_modal edit_code_modal">
    <b-form-textarea :id="'code_modal_textarea' + index" v-model="code" placeholder="type your code..." rows="6" max-rows="6"></b-form-textarea>
    <b-button squared variant="primary" class="w-100" @click="updateCode">完成</b-button>
</b-modal>
</template>

<script>
export default {
    props: {
        mode: {
            type: String,
            default: "",
        },
        index: {
            type: [String, Number],
            default: "",
        },
        default_code: {
            type: String,
            default: "",
        },
    },
    data() {
        return {
            code: "",
        };
    },
    methods: {
        updateCode() {
            this.$store.commit("UPDATE_SECONDARYCOMPONENT_VALUE", {
                key: this.index,
                second_key: "script",
                val: this.code,
            });
            this.$root.$emit(
                "bv::hide::modal",
                `code_modal_${this.mode}_${this.index}`
            );
        },
    },
    mounted() {
        this.code = this.default_code;
    },
};
</script>
